! beats.cmd
!
echo Give a list of beat rates for a 12-tone temperament
set separator
set calc none
echo
echo Beats of fourths:
calc %5+3 min 4
echo C-F  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %4+3 min 4+%-1
echo B-E  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %3+3 min 4+%-2
echo Bb-Eb:%hertz($0) Hertz,%bpm($0) beats/min.
calc %2+3 min 4+%-3
echo A-D  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %1+3 min 4+%-4
echo G#-C#:%hertz($0) Hertz,%bpm($0) beats/min.
calc 3 min 4+%-5
echo G-C  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-1+3 min 4+%-6
echo Gb-B :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-2+3 min 4+%-7
echo F-Bb is equal to fifth Bb-F:%hertz($0) Hertz,%bpm($0) beats/min.
echo
echo Beats of fifths:
calc %-3+3 min 2+%4
echo A-E  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-4+3 min 2+%3
echo G#-D#:%hertz($0) Hertz,%bpm($0) beats/min.
calc %-5+3 min 2+%2
echo G-D  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-6+3 min 2+%1
echo F#-C#:%hertz($0) Hertz,%bpm($0) beats/min.
calc %-7+3 min 2
echo F-C  :%hertz($0) Hertz,%bpm($0) beats/min.
pause
echo
echo Beats of minor thirds:
calc %2+6 min 5+%5
echo D-F  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %1+6 min 5+%4
echo C#-E :%hertz($0) Hertz,%bpm($0) beats/min.
calc 6 min 5+%3
echo C-Eb :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-1+6 min 5+%2
echo B-D  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-2+6 min 5+%1
echo Bb-Db:%hertz($0) Hertz,%bpm($0) beats/min.
calc %-3+6 min 5
echo A-C  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-4+6 min 5+%-1
echo G#-B :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-5+6 min 5+%-2
echo G-Bb :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-6+6 min 5+%-3
echo F#-A :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-7+6 min 5+%-4
echo F-Ab is equal to major sixth Ab-F:%hertz($0) Hertz,%bpm($0) beats/min.
pause
echo
echo Beats of major sixths:
calc %-5+5 min 3+%4
echo G-E  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-6+5 min 3+%3
echo F#-D#:%hertz($0) Hertz,%bpm($0) beats/min.
calc %-7+5 min 3+%2
echo F-D  :%hertz($0) Hertz,%bpm($0) beats/min.
echo
echo Beats of major thirds:
calc %1+5 min 4+%5
echo Db-F :%hertz($0) Hertz,%bpm($0) beats/min.
calc 5 min 4+%4
echo C-E  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-1+5 min 4+%3
echo B-D# :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-2+5 min 4+%2
echo Bb-D :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-3+5 min 4+%1
echo A-C# :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-4+5 min 4
echo Ab-C :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-5+5 min 4+%-1
echo G-B  :%hertz($0) Hertz,%bpm($0) beats/min.
calc %-6+5 min 4+%-2
echo F#-A#:%hertz($0) Hertz,%bpm($0) beats/min.
calc %-7+5 min 4+%-3
echo F-A  :%hertz($0) Hertz,%bpm($0) beats/min.
echo
echo Beats of the octave:
calc %-7+2 min %5
echo F-F  :%hertz($0) Hertz,%bpm($0) beats/min.
set separator |
set calc long
